package main

import (
	"context"
	"os/exec"

	"gensokyo.uk/nix"
)

type chrootStoreContext struct {
	store string
	nix.Context
}

func (c *chrootStoreContext) Nix(ctx context.Context, arg ...string) *exec.Cmd {
	return c.Context.Nix(ctx, append([]string{"--store", c.store}, arg...)...)
}
